> For the complete documentation index, see [llms.txt](https://docs.twtg.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.twtg.io/docs/data-and-communication/data-visualization.md).

# Data Visualization

The NEON sensors send data over LoRa in an encrypted message, referred to as payload. Said payload is decoded by the LoRa Network Server (LNS) and presented in a readable JSON format. The structure of these messages differs depending on the product family, communication protocol, and message type. Please refer to your LNS documentation to learn where specifically the LoRa data frames are displayed. Below is an example of the JSON structure of a message.

{% code title="Example of the JSON structure of a message" fullWidth="false" %}

```json
[
  {
    "description": "RT v1 Device status message",
    "type": "uplink",
    "input": {
      "bytes": "107515030002230101",
      "recvTime": "2023-02-15T13:58:57.743Z",
      "fPort": 2
    },
    "output": {
      "data": {
        "device_status": {
          "protocol_version": 1,
          "battery_voltage": 2.9176470588235293,
          "temperature": 21,
          "lora_tx_counter": 3,
          "avg_rssi": "-100..-129",
          "bist": "0x0123",
          "event_counter": 1
        }
      }
    }
  }
]
```

{% endcode %}

TWTG offers a software solution for data visualization of the NEON devices called SolidRed Industrial IoT Suite. SolidRed is an easy-to-use tool for device management, data visualization, and analytics. Additionally, SolidRed offers the users graphical representations of the data transmitted by the NEON devices over time. For more information regarding SolidRed [contact us](https://www.twtg.io/#gform_1).&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.twtg.io/docs/data-and-communication/data-visualization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
